Bug 227167 - [css-grid] Use correct block-size to resolve min-content
Summary: [css-grid] Use correct block-size to resolve min-content
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zsun
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-18 06:12 PDT by zsun
Modified: 2021-07-19 06:55 PDT (History)
10 users (show)

See Also:


Attachments
Patch (4.87 KB, patch)
2021-06-18 06:51 PDT, zsun
no flags Details | Formatted Diff | Diff
Patch (5.69 KB, patch)
2021-06-21 07:05 PDT, zsun
no flags Details | Formatted Diff | Diff
Patch (4.81 KB, patch)
2021-07-14 06:41 PDT, zsun
no flags Details | Formatted Diff | Diff
Patch (4.70 KB, patch)
2021-07-19 02:32 PDT, zsun
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zsun 2021-06-18 06:12:12 PDT
The following WPT test fails -

css/css-grid/grid-items/grid-item-inline-contribution-001.html
Comment 1 zsun 2021-06-18 06:51:34 PDT
Created attachment 431773 [details]
Patch
Comment 2 EWS Watchlist 2021-06-18 06:52:41 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 zsun 2021-06-21 07:05:36 PDT
Created attachment 431857 [details]
Patch
Comment 4 Radar WebKit Bug Importer 2021-06-25 06:13:16 PDT
<rdar://problem/79775068>
Comment 5 Javier Fernandez 2021-06-28 13:04:11 PDT
Comment on attachment 431857 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=431857&action=review

You are adding a TestExpectation Fail entry with the bug this patch tries to fix.

> LayoutTests/imported/w3c/web-platform-tests/css/css-grid/grid-items/grid-item-inline-contribution-001-expected.xht:5
> +  <link rel="author" title="Gérard Talbot" href="http://www.gtalbot.org/BrowserBugsSection/css21testsuite/" />

Encoding issue.
Comment 6 zsun 2021-07-14 06:41:55 PDT
Created attachment 433498 [details]
Patch
Comment 7 Javier Fernandez 2021-07-17 03:00:54 PDT
Comment on attachment 433498 [details]
Patch

r=me
Comment 8 EWS 2021-07-19 01:38:52 PDT
Tools/Scripts/svn-apply failed to apply attachment 433498 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 9 zsun 2021-07-19 02:32:26 PDT
Created attachment 433780 [details]
Patch
Comment 10 EWS 2021-07-19 06:55:31 PDT
Committed r280023 (239765@main): <https://commits.webkit.org/239765@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433780 [details].